﻿@model OperationalRiskException.Core.ViewModels.QuestionVM
@{
	ViewBag.Title = "Question";
}


<div class="row">
	<div class="col-md-12 grid-margin">
		<div class="d-flex justify-content-between flex-wrap">
			<div class="d-flex align-items-end flex-wrap">
				<div class="d-flex">
					<i class="mdi mdi-home text-muted hover-cursor"></i>
					<p class="text-muted mb-0 hover-cursor">&nbsp;/&nbsp; Upload Management &nbsp;/&nbsp;</p>
					<p class="text-primary mb-0 hover-cursor">Add/View Upload</p>
				</div>
			</div>

		</div>
	</div>
</div>

<div class="row">
	<div class="col-md-12 grid-margin stretch-card">
		<div class="card">
            <div class="card-body">
                <h4 class="card-title"> Add Upload </h4>
                <p class="card-description">

                </p>

                @*@using (Html.BeginForm("QuestionPage", "Question", FormMethod.Post, new { @class = "forms-sample", role = "form" }))
            {
                @Html.AntiForgeryToken()

        <div class="row">
            <div class="form-group col-md-12">
                <label for="exampleInputUsername1">Question  Text</label>
                <div class="row col-md-6">
                    @Html.TextAreaFor(m => m.QuestionText, new { @class = "form-control", @placeholder = "Add Question" })
                    @Html.ValidationMessageFor(model => model.QuestionText, null, new { @class = "text text-danger" })
                </div>
            </div>
            <div class="form-group col-md-12">
                <label for="exampleInputUsername1"> Select Category</label>
                <div class="row col-md-6">
                        @Html.DropDownListFor(m => m.CategoryId, new SelectList(ViewBag.Categories,"CategoryId", "CategoriesName"), new { @class = "form-control", @placeholder = "Add Question" })
                        </div>
            </div>

        </div>



                <button type="submit" class="btn btn-primary mr-2">Add Question</button>
            }*@

                @using (Html.BeginForm("QuestionPage", "Question", FormMethod.Post, new { enctype = "multipart/form-data", onsubmit = "return myFunction()" }))
                {
                    @Html.AntiForgeryToken()

                    <div class="row">
                        <div class="form-group col-md-12">
                            @*<label for="exampleInputUsername1">Select Excel file</label>*@
                            <div class="row col-md-6">
                                @Html.TextAreaFor(m => m.AttachmentName, new { @class = "form-control", @placeholder = "Add Attachment Name" })
                                @Html.ValidationMessageFor(model => model.AttachmentName, null, new { @class = "text text-danger" })
                            </div> <br />

                            <div class="row col-md-6">

                                <input type="file" name="FileUpload" class="file-upload-default">
                                <div class="input-group col-xs-12">
                                    <input type="text" class="form-control file-upload-info" disabled="" placeholder="Upload Document">
                                    <span class="input-group-append">
                                        <button class="file-upload-browse btn btn-primary" type="button">Upload</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12">
                            <label for="exampleInputUsername1"> Select Category</label>
                            <div class="row col-md-6">
                                @Html.DropDownListFor(m => m.CategoryId, new SelectList(ViewBag.Categories, "CategoryId", "CategoriesName"), new { @class = "form-control", @placeholder = "Add Question" })
                                @Html.ValidationMessageFor(model => model.CategoryId, null, new { @class = "text text-danger" })
                            </div>
                        </div>

                    </div>



                    <button type="submit" class="btn btn-primary mr-2">Add Upload</button>
                }

            </div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-12 grid-margin stretch-card">
		<div class="card tablecontainer">
			<div class="card-body">
				<h4 class="card-title"></h4>
				<p class="card-description">
					List of Uploads
				</p>
				<div class="table-responsive pt-3">
					<table class="table table-bordered" id="myTable">
						<thead class="table-dark" id="mytablecolour">
                            <tr>
                                <th>
                                    S/N
                                </th>
                                <th>
                                    AttachmentName
                                </th>
                                
                                <th>
                                    Category Name
                                </th>

                                <th>
                                    Verify Upload
                                </th>
                                <th>
                                    Edit
                                </th>
                                <th>
                                    Delete
                                </th>

                            </tr>
						</thead>
						<tbody></tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
<div id="userModal" class="modal fade">
    <div class="modal-dialog">
        <div class="modal-content" id="userModalBody">

        </div>
    </div>
</div>

<script type="text/javascript">
     function updateModal(userId) {
        $.get('@Url.Action("UpdateQuestion", "Question")', { Id: userId }, function (res) {
            $("#userModalBody").html(res);
            $("#userModal").modal("show");
           // oTable.ajax.reload();
        });
    }	
     function deleteModal(userId) {
        $.get('@Url.Action("DeleteQuestion", "Question")', { Id: userId }, function (res) {
            $("#userModalBody").html(res);
            $("#userModal").modal("show");
           // oTable.ajax.reload();
        });
    }
    var oTable;
    $(document).ready(function () {
        //  debugger;
         toastrFunction()
         oTable = $("#myTable").DataTable({
            "processing": true, // for show progress bar
            "serverSide": true, // for process server side
            "filter": true, // this is for disable filter (search box)
            "orderMulti": false, // for disable multiple column at once
             columns: [
                {'data':'S/N',  render: function (data, type, full, meta) {

                              console.log("type", type)
                              console.log("full", full)
                              console.log("meta", meta.settings._iDisplayLength)
					 
					          console.log("_iDisplayStart", meta.settings._iDisplayStart)
				
                              var result = meta.row +1 +(meta.settings._iDisplayStart);
                      
                              return result;
                               }
                },
               
                 
                { 'data': 'AttachmentName' },
                
                { 'data': 'CategoryName' },


                 {
                    "data": "AttachmentUpload", "width": "50px", "render": function (data) {
                            return '<a class="btn btn-success btn-lg" style="padding:.5rem" href="'+data+'">Download</a>';
       
                      
                    }
                },

                {
                    "data": "QuestionId", "width": "50px", "render": function (data) {
                        return '<button class="btn btn-primary btn-lg" style="min-height:2rem" onclick="updateModal(' + data + ')">Edit</button>';

                       //  return '<a class="btn btn-primary btn-primary btn-lg" style="min-height:2rem"  href="@Url.Action("UpdateQuestion","Question")?QuestionId=' + data + '">Edit2</a>';
       
                       // return '<a class="btn btn-primary btn-primary btn-lg" style="min-height:2rem" href="@Url.Action("UpdateQuestion","Question")/' + data + '">Edit</a>';  
                    }
                },
                {
                    "data": "QuestionId", "width": "50px", "render": function (data) {
                        return '<button class="btn btn-danger btn-lg" style="min-height:2rem" onclick="deleteModal(' + data+ ')">Delete</button>';
               
                       // return '<a class="popup" href="@Url.Action("DeleteQuestion","Question")/' + data + '">Delete</a>'; 
                    }
                }
                @*{
                    data: null,
                    //className: "center",
                    //defaultContent: '<a href="" class="editor_edit">Edit</a> / <a href="" class="editor_remove">Delete</a>'
  },

            ],
            "columnDefs": [{
                "targets": 4,

                "render": function (data, type, row, meta) {
                    var url = '@Url.Action("AddUser", "Usercd")';
                    return "'<a href='"url"'>Testing</a>'";
                }
            }],*@
            ],
            "delay": 150,
            "ajax": {
                "url": "@Url.Action("GetAllQuestions","Question")", 
                @*"url": "@Url.Action("GetData","Question")",*@ 
                "type": "POST",
                "datatype": "json"
            }
        })	
    });

     function updateRecord() {
                    var form = $('form[name="updateCategoryForm"]');
         var entry = form.serialize();
         $.post('@Url.Action("UpdateQuestion", "Question")', entry, function (res) {  
            if (res.status) {
                toastr.success("Successfully Updated", "Notification");

                oTable.ajax.reload();
                $("#userModal").modal('hide');
            }
            else {
                toastr.error("Failed to update, <br> Please check if the record already existed", "Error Notification");
            }
           //
        });
    }



         function deleteRecord() {
                    var form = $('form[name="deleteCategoryForm"]');
         var entry = form.serialize();
         $.post('@Url.Action("DeleteQuestion", "Question")', entry, function (res) {  
            if (res.status) {
                toastr.success("Successfully Delete", "Notification");

                oTable.ajax.reload();
                $("#userModal").modal('hide');
            }
            else {
                toastr.error("Failed to update, <br> Please check your internet connnection", "Error Notification");
            }
           //
        });
    }
       function toastrFunction() {

         if ('@TempData["CreateQuest"]'.length > 1) {
          toastr.success('@TempData["CreateQuest"]','Notification');
         }
         else  if ('@TempData["FailedQuest"]'.length>1) {
          toastr.error('@TempData["FailedQuest"]','Notification');
       }

    }

</script>
